QueueProcessingStatistics.State (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.util
Enum QueueProcessingStatistics.State

    java.lang.Object
      java.lang.Enum<QueueProcessingStatistics.State>
          org.apache.hadoop.util.QueueProcessingStatistics.State

All Implemented Interfaces:
  Serializable, Comparable<QueueProcessingStatistics.State>

Enclosing class:
  QueueProcessingStatistics

    public static enum QueueProcessingStatistics.State

extends Enum<QueueProcessingStatistics.State>

This enum provides the "states" of a state machine for `QueueProcessingStatistics`. The meanings of the states are:

- BEGIN_COLLECTING - Ready to begin.
- IN_FIRST_CYCLE - Started the first cycle.
- IN_SOLE_CYCLE - Still in first cycle, but already know there will be no further cycles because this one will complete all needed work. When done, will go straight to "DONE_COLLECTING".
- DONE_FIRST_CYCLE - Done first cycle, doing subsequent cycles.
- IN_LAST_CYCLE - Started the last cycle.
- DONE_COLLECTING - Done with last cycle, finishing up.

Enum Constant Summary
`BEGIN_COLLECTING`
`DONE_COLLECTING`
`DONE_FIRST_CYCLE`
`IN_FIRST_CYCLE`
`IN_LAST_CYCLE`
`IN_SOLE_CYCLE`

Method Summary
`static QueueProcessingStatistics.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueueProcessingStatistics.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEGIN_COLLECTING

    public static final QueueProcessingStatistics.State BEGIN_COLLECTING

### IN_FIRST_CYCLE

    public static final QueueProcessingStatistics.State IN_FIRST_CYCLE

### IN_SOLE_CYCLE

    public static final QueueProcessingStatistics.State IN_SOLE_CYCLE

### DONE_FIRST_CYCLE

    public static final QueueProcessingStatistics.State DONE_FIRST_CYCLE

### IN_LAST_CYCLE

    public static final QueueProcessingStatistics.State IN_LAST_CYCLE

### DONE_COLLECTING

    public static final QueueProcessingStatistics.State DONE_COLLECTING

Method Detail

### values

    public static QueueProcessingStatistics.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueueProcessingStatistics.State c : QueueProcessingStatistics.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueueProcessingStatistics.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation